package lifegame;

public class LifeGame {
    public static void main(String[] args) {
      System.out.println("...::::: -  L I F E  - :::::...");
      try {
        GameManager myGM = new GameManager(args);
        myGM.runSimulation();
      }
      catch (WrongArgsException e) {
        System.out.println("Wrong command. Cause:");
        System.out.println(e.getMessage());
        System.out.println("\nusage:");
        System.out.println("java LifeGame (int)<gridSize> (int)<initialSquareSize> (int)<nbOfGenerationsToSimulate>");
        System.out.println("or");
        System.out.println("java LifeGame (String)<pathToInitialSituationFile> (int)<nbOfGenerationsToSimulate>");
      }
      catch (GameManagerCrashedException e) {
        System.out.println("\nERROR ENCOUNTERED\nThe program couldn't continue its normal execution. Cause:");
        System.out.println(e.getMessage());
      }
      finally {
        System.out.println("\n\n...::::: -  The end!  - :::::...");
      }
    }
}
